/*
*********************************************************************************************************
*                                      STMicroelectronics STR710
*                                         Board Support Package
*                                         
*
*                                (c) Copyright 2005, Micrium, Weston, FL
*                                          All Rights Reserved
*
*
* File : BSP.H
*********************************************************************************************************
*/

#ifdef   BSP_GLOBALS
#define  BSP_EXT
#else
#define  BSP_EXT  extern
#endif

/*
*********************************************************************************************************
*                                            FUNCTION PROTOTYPES
*********************************************************************************************************
*/

void     BSP_Init(void);
void     BSP_IntDisAll(void);

INT32U   BSP_CPU_ClkFreq(void);

/*
*********************************************************************************************************
*                                         PUSH BUTTON SERVICES
*********************************************************************************************************
*/

BOOLEAN  PB_GetStatus(INT8U push_button_id);

/*
*********************************************************************************************************
*                                             LED SERVICES
*********************************************************************************************************
*/

void     LED_Init(void);
void     LED_On(INT8U led);
void     LED_Off(INT8U led);
void     LED_Toggle(INT8U led);

/*
********************************************************************************************************
*                                                Timers
********************************************************************************************************
*/

#if OS_VIEW_MODULE > 0
INT32U    OSView_TmrRd (void);
#endif

/*
*********************************************************************************************************
*                                              UART SERVICES
*********************************************************************************************************
*/

#if OS_VIEW_MODULE > 0
void    OSView_UARTInit (INT32U baud_rate);
void    UART_ISR_Handler (void);
#endif

/*** EOF ***/



